Bug 255711 (kf5-5.82.0) - [exp-run] Update KDE Frameworks to 5.82.0
Summary: [exp-run] Update KDE Frameworks to 5.82.0
Status: Closed FIXED
Alias: kf5-5.82.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-08 18:27 UTC by Tobias C. Berner
Modified: 2021-05-11 17:28 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (64.91 KB, patch)
2021-05-08 18:27 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-05-08 18:27:21 UTC
Created attachment 224776 [details]
v1

Moin moin 


kde@ would like to ask for an exp-run of the KDE Frameworks update to 5.82.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/kf5-5.82.v1.diff

mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2021-05-11 15:59:10 UTC
Exp-run looks fine
Comment 2 Tobias C. Berner freebsd_committer 2021-05-11 17:27:45 UTC
Committed, thanks for the exp-run.
Comment 3 commit-hook freebsd_committer 2021-05-11 17:28:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3a02c3a975832be70ee3bcf55be93171a1a3bcc5

commit 3a02c3a975832be70ee3bcf55be93171a1a3bcc5
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-05-11 17:25:27 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-05-11 17:25:29 +0000

    Update KDE Frameworks to 5.82.0

    Saturday, 8 May 2021

    KDE today announces the release of KDE Frameworks 5.82.0.

    KDE Frameworks are 83 addon libraries to Qt which provide a wide variety
    of commonly needed functionality in mature, peer reviewed and well
    tested libraries with friendly licensing terms. For an introduction see
    the KDE Frameworks release announcement.

    This release is part of a series of planned monthly releases making
    improvements available to developers in a quick and predictable manner.

    Full announcement and changelog:
            https://kde.org/announcements/frameworks/5/5.82.0/

    PR:             255711
    Exp-run by:     antoine

 Mk/Uses/kde.mk                             |  2 +-
 archivers/kf5-karchive/distinfo            |  6 +++---
 devel/kf5-extra-cmake-modules/Makefile     |  1 -
 devel/kf5-extra-cmake-modules/distinfo     |  6 +++---
 devel/kf5-kapidox/distinfo                 |  6 +++---
 devel/kf5-kauth/distinfo                   |  6 +++---
 devel/kf5-kbookmarks/distinfo              |  6 +++---
 devel/kf5-kcmutils/distinfo                |  6 +++---
 devel/kf5-kconfig/distinfo                 |  6 +++---
 devel/kf5-kcoreaddons/distinfo             |  6 +++---
 devel/kf5-kcrash/distinfo                  |  6 +++---
 devel/kf5-kdbusaddons/distinfo             |  6 +++---
 devel/kf5-kdeclarative/distinfo            |  6 +++---
 devel/kf5-kdeclarative/pkg-plist           |  1 +
 devel/kf5-kdoctools/distinfo               |  6 +++---
 devel/kf5-kfilemetadata/Makefile           |  1 -
 devel/kf5-kfilemetadata/distinfo           |  6 +++---
 devel/kf5-ki18n/distinfo                   |  6 +++---
 devel/kf5-kidletime/distinfo               |  6 +++---
 devel/kf5-kio/Makefile                     |  1 -
 devel/kf5-kio/distinfo                     |  6 +++---
 devel/kf5-kitemmodels/distinfo             |  6 +++---
 devel/kf5-knewstuff/distinfo               |  6 +++---
 devel/kf5-knotifications/distinfo          |  6 +++---
 devel/kf5-knotifyconfig/distinfo           |  6 +++---
 devel/kf5-kpackage/Makefile                |  1 -
 devel/kf5-kpackage/distinfo                |  6 +++---
 devel/kf5-kparts/distinfo                  |  6 +++---
 devel/kf5-kpeople/distinfo                 |  6 +++---
 devel/kf5-kpty/distinfo                    |  6 +++---
 devel/kf5-kservice/Makefile                |  1 -
 devel/kf5-kservice/distinfo                |  6 +++---
 devel/kf5-ktexteditor/distinfo             |  6 +++---
 devel/kf5-kunitconversion/distinfo         |  6 +++---
 devel/kf5-solid/distinfo                   |  6 +++---
 devel/kf5-threadweaver/distinfo            |  6 +++---
 dns/kf5-kdnssd/distinfo                    |  6 +++---
 graphics/kf5-kimageformats/Makefile        |  1 -
 graphics/kf5-kimageformats/distinfo        |  6 +++---
 graphics/kf5-kplotting/distinfo            |  6 +++---
 graphics/kf5-kquickcharts/distinfo         |  6 +++---
 graphics/kf5-kquickcharts/pkg-plist        |  1 +
 graphics/kf5-prison/distinfo               |  6 +++---
 lang/kf5-kross/Makefile                    |  1 -
 lang/kf5-kross/distinfo                    |  6 +++---
 misc/kf5-purpose/distinfo                  |  6 +++---
 multimedia/kf5-kmediaplayer/distinfo       |  6 +++---
 net/kf5-kcalendarcore/Makefile             |  1 -
 net/kf5-kcalendarcore/distinfo             |  6 +++---
 net/kf5-kcontacts/Makefile                 |  1 -
 net/kf5-kcontacts/distinfo                 |  6 +++---
 net/kf5-kdav/Makefile                      |  1 -
 net/kf5-kdav/distinfo                      |  6 +++---
 net/kf5-kholidays/Makefile                 |  1 -
 net/kf5-kholidays/distinfo                 |  6 +++---
 net/kf5-kxmlrpcclient/Makefile             |  1 -
 net/kf5-kxmlrpcclient/distinfo             |  6 +++---
 net/kf5-syndication/Makefile               |  1 -
 net/kf5-syndication/distinfo               |  6 +++---
 security/kf5-kdesu/distinfo                |  6 +++---
 sysutils/kf5-baloo/distinfo                |  6 +++---
 sysutils/kf5-baloo/pkg-plist               |  3 +++
 sysutils/kf5-kwallet/Makefile              |  1 -
 sysutils/kf5-kwallet/distinfo              |  6 +++---
 textproc/kf5-kcodecs/distinfo              |  6 +++---
 textproc/kf5-sonnet/distinfo               |  6 +++---
 textproc/kf5-syntax-highlighting/distinfo  |  6 +++---
 www/kf5-kdewebkit/distinfo                 |  6 +++---
 www/kf5-khtml/distinfo                     |  6 +++---
 www/kf5-kjs/Makefile                       |  1 -
 www/kf5-kjs/distinfo                       |  6 +++---
 www/kf5-kjsembed/Makefile                  |  1 -
 www/kf5-kjsembed/distinfo                  |  6 +++---
 x11-themes/kf5-breeze-icons/distinfo       |  6 +++---
 x11-themes/kf5-breeze-icons/pkg-plist      | 14 ++++++++++++++
 x11-themes/kf5-kemoticons/distinfo         |  6 +++---
 x11-themes/kf5-kiconthemes/distinfo        |  6 +++---
 x11-themes/kf5-oxygen-icons5/distinfo      |  6 +++---
 x11-themes/kf5-qqc2-desktop-style/distinfo |  6 +++---
 x11-toolkits/kf5-attica/distinfo           |  6 +++---
 x11-toolkits/kf5-kcompletion/distinfo      |  6 +++---
 x11-toolkits/kf5-kconfigwidgets/Makefile   |  1 -
 x11-toolkits/kf5-kconfigwidgets/distinfo   |  6 +++---
 x11-toolkits/kf5-kdesignerplugin/Makefile  |  1 -
 x11-toolkits/kf5-kdesignerplugin/distinfo  |  6 +++---
 x11-toolkits/kf5-kguiaddons/distinfo       |  6 +++---
 x11-toolkits/kf5-kirigami2/distinfo        |  6 +++---
 x11-toolkits/kf5-kitemviews/distinfo       |  6 +++---
 x11-toolkits/kf5-kjobwidgets/distinfo      |  6 +++---
 x11-toolkits/kf5-ktextwidgets/distinfo     |  6 +++---
 x11-toolkits/kf5-kwidgetsaddons/distinfo   |  6 +++---
 x11-toolkits/kf5-kxmlgui/distinfo          |  6 +++---
 x11/kf5-frameworkintegration/distinfo      |  6 +++---
 x11/kf5-kactivities-stats/distinfo         |  6 +++---
 x11/kf5-kactivities/Makefile               |  1 -
 x11/kf5-kactivities/distinfo               |  6 +++---
 x11/kf5-kded/Makefile                      |  1 -
 x11/kf5-kded/distinfo                      |  6 +++---
 x11/kf5-kdelibs4support/Makefile           |  1 -
 x11/kf5-kdelibs4support/distinfo           |  6 +++---
 x11/kf5-kglobalaccel/distinfo              |  6 +++---
 x11/kf5-kinit/Makefile                     |  1 -
 x11/kf5-kinit/distinfo                     |  6 +++---
 x11/kf5-krunner/distinfo                   |  6 +++---
 x11/kf5-kwayland/distinfo                  |  6 +++---
 x11/kf5-kwindowsystem/distinfo             |  6 +++---
 x11/kf5-kwindowsystem/pkg-plist            |  1 +
 x11/kf5-plasma-framework/Makefile          |  1 -
 x11/kf5-plasma-framework/distinfo          |  6 +++---
 x11/kf5-plasma-framework/pkg-plist         |  2 ++
 110 files changed, 263 insertions(+), 264 deletions(-)